# カレントドライブを移動
cd "$1"

# Markdown形式のファイルパスを取得し配列に格納する
MD_PATH=($(find ./ -name "*.md"))

# カウンタ
COUNT=0

# ディレクトリがなければ、生成
mkdir -p html

# 配列でループ
for MD_FILE in ${MD_PATH[@]}; do
  # 拡張子を html に変換する
  HTML_FILE=$(echo $MD_FILE | sed -e "s|\.md|.html|" -e "s|^\.\/|./html|")
  MD_FILE=$(echo $MD_FILE | sed -e "s|^\.\/\/|./|")

  # ファイルの更新日時を比較する
  if [ $MD_FILE -nt $HTML_FILE ]; then
    # Markdown が新しければ Pandoc で HTML 生成
    /usr/local/bin/pandoc -s $MD_FILE -t html5 -o $HTML_FILE

    # テーブルに含まれる colgroup タグを除去
    sed -i.bak -e "/^<colgroup>$/,/^<\/colgroup>$/d" -e "s/<meta name=\"generator\" content=\"pandoc\">//g" -e "s/<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, user-scalable=yes\">//g" -e "s/<div class=\"sourceCode\"><pre class=\"sourceCode/<pre class=\"sourceCode/g" -e "s/<\/code><\/pre><\/div>/<\/code><\/pre>/g" -e "s/<pre><code>/<pre class=\"sourceCode\"><code>/g" $HTML_FILE

    # 変換したファイル数をカウント
    COUNT=$(( COUNT + 1 ))
  fi
done

# 拡張子 .html.bak の不要なファイルを削除
find ./html/ -name "*.html.bak" | xargs rm

# 結果表示
echo $COUNT "files converted."